
 LinHES - Bug # 389: alt+m can launch multiple frontends

Status: Closed Priority: Normal
Author: Human Category:
Created: 06/16/2009 Assignee: jams
Updated: 03/26/2010 Due date:
Description: /home/mythtv/.fluxbox/keys has a line that just runs mythfrontend directly.  It should probably use a launcher 

script so that multiple frontends can't be run on the same hardware and display.  (It is potentially useful to run 
two frontends on the same hardware, if they are displayed on different displays.)

Associated revisions
03/26/2010 10:25 am - jams
mythinstall: new mythvantage
Add -q
removed menupopup after upgrade
set default hostname if ""

refs  #389 #665
closes #454

03/26/2010 10:26 am - jams
fluxbox: change keys so that mythfrontend-start is run instead of calling mfe directly

refs #389

03/26/2010 10:27 am - jams
linhes-system: add script mythfrontend-start
This is a slightly modified version from the one provided in the ticket.
This version will call mythvantage -q "$question" and depending on the answer will
either start a new mfe or quit.

closes #389

History
07/30/2009 11:44 pm - GregFrost
I have often run two frontends on one display. I might want to leave one frontend in the create dvd progress screen and another watching a recording. I 
can flip to see how the dvd burn is going simply by alt-tab'ing between the frontends. There may be many other use cases where you might want to do 
this.

07/31/2009 10:39 am - Human
That's valid, but given that it's possible to unintentionally launch multiple frontends without significant feedback, I'd feel better if there were a dialog that 
would confirm that the user wants to run two frontends at the same time.  I wouldn't want to take away your ability to do this, but I also don't want people 
doing this accidentally.

Your usage also suggests another angle on this: If there were a way to auto-suggest launching a second frontend when a user is about to start (or just 
started) a lengthy process, that would help avoid bottlenecks among users who don't know they can launch another frontend.

07/31/2009 06:12 pm - GregFrost
Good idea.  Something like "There [are already n frontends|is already a frontend] running. Do you really want to start another one? Start Another 
Frontend/No"

02/10/2010 06:01 pm - brfransen
Attached is a script that will display an xmessage window if more than 1 mythfrontend PID if found.  Maybe when MythVantage is ready for .22+ we can 
use that for the GUI so that it would work with the users remote control and nicer looking.

03/21/2010 07:20 pm - jams
- Target version set to 6.03.00

03/26/2010 09:35 am - jams
- % Done changed from 0 to 100

- Status changed from In Progress to Closed

Applied in changeset commit:"7a2051a61d9db9f662fc9c15804905dc7ded7f84".

Files
mythfrontend-start 655 Bytes 02/10/2010 admin
